---
title: Reviews
slug: bluecartapi/walmart-product-data-api/parameters/reviews
docTags: 
createdAt: 2024-07-27T17:51:31.972Z
---

# Reviews Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Reviews Parameters are applicable when making a request with  `type=reviews`  to retrieve customer Reviews for a single product on Walmart USA ( `walmart.com` ) or Walmart Canada ( `walmart.ca` ) - the product is specified using either the  `item_id`  or  `url`  parameter (where the  `url`  parameter contains a link to a Walmart product page). The parameters should be appended as querystring parameters to the Walmart Product Data API `GET` HTTP request.

Reviews are retrieved from the [customer reviews page](https://www.walmart.com/reviews/product/782866746) for a single product on Walmart.

:::hint{type="warning"}
`type=reviews` is not supported for `walmart.ca`
:::



![](https://apiimages.imgix.net/bluecartapi/images/png/docs/reviews.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Customer Reviews Page")

For example, to request reviews sorted by most helpful ( `sort_by=most_helpful` ), for the Item ID  `782866746` , on  `walmart.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bluecartapi.com/request?api_key=demo&type=reviews&item_id=782866746&sort_by=most_helpful
```

```curl
curl -L --get https://api.bluecartapi.com/request \
-d api_key="demo" \
-d type="reviews" \
-d item_id="782866746" \ 
-d sort_by="most_helpful"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "reviews",
  item_id: "782866746",
  sort_by: "most_helpful"
}

// make the http GET request to BlueCart API
axios.get('https://api.bluecartapi.com/request', { params })
  .then(response => {

    // print the JSON response from BlueCart API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'reviews',
  'item_id': '782866746',
  'sort_by': 'most_helpful'
}

# make the http GET request to BlueCart API
api_result = requests.get('https://api.bluecartapi.com/request', params)

# print the JSON response from BlueCart API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'reviews',
  'item_id' => '782866746',
  'sort_by' => 'most_helpful'
]);

# make the http GET request to BlueCart API
$ch = curl_init(sprintf('%s?%s', 'https://api.bluecartapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BlueCart API
echo $api_result;

?>
```
:::

***

### Reviews Parameters

The following parameters are available for all requests made when  `type=reviews`  in addition to the Common Parameters.

| *`Parameter`*      | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------ | ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`item_id`*        | *`optional`* | The Walmart Item ID to retrieve Reviews for.  <br />**Note** : If the `item_id` parameter is supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| *`walmart_domain`* | *`optional`* | The Walmart domain to retrieve Reviews for. Can be set to `walmart.com` (the default), or `walmart.ca` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| *`url`*            | *`optional`* | The Walmart reviews-page URL to retrieve Reviews from.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`sort_by`*        | *`optional`* | Determines the sort order of reviews to return. Valid values are:<br />1. `most_relevant`<br />2. Returns reviews with the most relevant reviews first.<br /><br />1. `most_helpful`<br />2. Returns reviews with the most helpful reviews first.<br /><br />1. `newest_to_oldest`<br />2. Returns reviews ordered from newest to oldest.<br /><br />1. `oldest_to_newest`<br />2. Returns reviews ordered from oldest to newest.<br /><br />1. `high_to_low_rating`<br />2. Returns reviews ordered highest to lowest rating.<br /><br />1. `low_to_high_rating` Returns reviews ordered lowest to highest rating.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/bluecartapi/images/png/docs/reviews_sort_by.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption} |
| *`page`*           | *`optional`* | The current page of reviews to retrieve. Inspect the `pagination.total_pages` property in the [Reviews results ](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/results/reviews)to see how many pages of reviews are available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`max_page`*       | *`optional`* | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |

***

**Next Steps**
     [Reviews Results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/results/reviews)
